package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 微信TAG定义
 * 
 * @author: Zhang XiaoQing
 * @date: 2016-08-15 22:52:27
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_TAG", keyColumn = "TAG_ID", sequenceName = "")
public class WxTag implements Serializable {
	private static final long serialVersionUID = -8381099496698859031L;
	private Integer wx_id;
	//标签编号，来自于微信服务器
	private Integer tag_id;
	//标签名称
	private String tag_name;
	//创建时间
	private LocalDateTime create_time;
	//备注信息
	private String tag_desc;
	private String tag_status;

	public Integer getWx_id() {
		return wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}
	/****
	 * 标签编号，来自于微信服务器
	 */
	public Integer getTag_id() {
		return this.tag_id;
	}

	/****
	 * 标签编号，来自于微信服务器
	 */
	public void setTag_id(Integer tag_id) {
		this.tag_id = tag_id;
	}

	/****
	 * 标签名称
	 */
	public String getTag_name() {
		return this.tag_name;
	}

	/****
	 * 标签名称
	 */
	public void setTag_name(String tag_name) {
		this.tag_name = tag_name;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 备注信息
	 */
	public String getTag_desc() {
		return this.tag_desc;
	}

	/****
	 * 备注信息
	 */
	public void setTag_desc(String tag_desc) {
		this.tag_desc = tag_desc;
	}

	public String getTag_status() {
		return this.tag_status;
	}

	public void setTag_status(String tag_status) {
		this.tag_status = tag_status;
	}

	
	protected Integer user_count;

	public Integer getUser_count() {
		return user_count;
	}

	public void setUser_count(Integer user_count) {
		this.user_count = user_count;
	}
	

}